require 'helper'

require 'string_extensions.rb'

class TestJot < Test::Unit::TestCase
  # should "probably rename this file and start testing for real" do
  #   flunk "hey buddy, you should probably rename this file and start testing for real"
  # end


  should "test ` to <code> with md_to_docbook" do
    teststring = "use the `testMe` command"
    expected = "use the <code>testMe</code> command"
    assert_equal expected, teststring.md_to_docbook
  end

  should "test line breaks to <para>s" do
  	testinput = "this is a test
 of multiline input.

In addition to a test of para breaks."

	expected = "<para>this is a test
 of multiline input.</para>

<para>In addition to a test of para breaks.</para>"

	assert_equal expected, testinput.linebreak_to_para_to_docbook
  end

end
